Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.iface.tools.xmlbeans
Class XmlBeans2Action

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<T>
          com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction<Interface>
              com.eviware.soapui.impl.wsdl.actions.iface.tools.xmlbeans.XmlBeans2Action

All Implemented Interfaces:
  SoapUIAction<Interface>, PropertyChangeNotifier

    public class XmlBeans2Action

extends AbstractToolsAction<Interface>

Generates XMLBeans for given interface

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction
`AbstractToolsAction.CloseAction, AbstractToolsAction.GenerateAction, AbstractToolsAction.ShowIntegratedToolsSettingsAction`

Field Summary
`static java.lang.String` | `SOAPUI_ACTION_ID`

Fields inherited from class com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction
`CACHED_WSDL, dialog, JAVA_ARGS, TOOL_ARGS, valuesSettingID, WSDL`

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`XmlBeans2Action()`

Method Summary
`boolean` | `applies(Interface target)`
`protected com.eviware.x.form.XFormDialog` | `buildDialog(Interface modelItem)`
`protected void` | `generate(StringToStringMap values, ToolHost toolHost, Interface modelItem)`
`protected StringToStringMap` | `initValues(Interface modelItem, java.lang.Object param)`
`void` | `setOutput(java.lang.String output)`

Methods inherited from class com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction
`addJavaArgs, addToolArgs, addWSDLFields, buildArgsForm, buildClasspath, buildDefaultActions, closeDialog, createRunOption, getDefinition, getModelItem, getToolsSettingsAction, getValuesSettingID, getWsdlUrl, initWSDL, onClose, perform, run, setFixedWSDL, setToolsSettingsAction, setValuesSettingID`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAPUI_ACTION_ID

    public static final java.lang.String SOAPUI_ACTION_ID

See Also:
  Constant Field Values

Constructor Detail

### XmlBeans2Action

    public XmlBeans2Action()

Method Detail

### applies

    public boolean applies(Interface target)

  Specified by:
    `applies` in interface `SoapUIAction<Interface>`
  Overrides:
    `applies` in class `AbstractSoapUIAction<Interface>`

### initValues

    protected StringToStringMap initValues(Interface modelItem,
                                           java.lang.Object param)

  Overrides:
    `initValues` in class `AbstractToolsAction<Interface>`

### buildDialog

    protected com.eviware.x.form.XFormDialog buildDialog(Interface modelItem)

  Overrides:
    `buildDialog` in class `AbstractToolsAction<Interface>`

### generate

    protected void generate(StringToStringMap values,
                            ToolHost toolHost,
                            Interface modelItem)
                     throws java.lang.Exception

  Specified by:
    `generate` in class `AbstractToolsAction<Interface>`
  Throws:
    `java.lang.Exception`

### setOutput

    public void setOutput(java.lang.String output)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.